# HTTP responses

The API returns HTTP responses on each request to indicate the success or otherwise of API requests. \
The codes listed below are often used, and the API may use others.

<table><thead><tr><th width="97">Code</th><th width="235">Response</th><th>Description</th></tr></thead><tbody><tr><td><code>400</code></td><td>Bad Request</td><td>General client error, possibly malformed data.</td></tr><tr><td><code>401</code></td><td>Unauthorized</td><td>The API Key was not authorized (or no API Key was found).</td></tr><tr><td><code>402</code></td><td>Payment Required</td><td>The API is not available on your current plan.</td></tr><tr><td><code>403</code></td><td>Forbidden</td><td>The request is not allowed.</td></tr><tr><td><code>404</code></td><td>Not Found</td><td>The resource was not found.</td></tr><tr><td><code>405</code></td><td>Method Not Allowed</td><td>The resource does not accept the HTTP method.</td></tr><tr><td><code>406</code></td><td>Not Acceptable</td><td>The resource cannot return the client's required content type.</td></tr><tr><td><code>408</code></td><td>Request Timeout</td><td>The server would not wait any longer for the client.</td></tr><tr><td><code>409</code></td><td>Conflict</td><td>Multiple existing users match this email address - must be more specific using user_id</td></tr><tr><td><code>415</code></td><td>Unsupported Media Type</td><td>The server doesn't accept the submitted content-type.</td></tr><tr><td><code>422</code></td><td>Unprocessable Entity</td><td>The data was well-formed but invalid.</td></tr><tr><td><code>429</code></td><td>Too Many Requests</td><td>The client has reached or exceeded a rate limit, or the server is overloaded.</td></tr><tr><td><code>500</code> <code>502</code> <code>503</code> <code>504</code></td><td>Server errors</td><td><p>Something went wrong with Asters's servers.</p><p>These responses are most likely momentary operational errors (e.g. temporary unavailability), and, as a result, requests should be retried once.</p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.asters.ai/api/extra/http-responses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
